<?php

namespace Drupal\personal_digest;

use Drupal\Core\State\State;
use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Store the route id of the user settings form which shows the personal digest
 * settings.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * @var State
   */
  private $state;

  function __construct(State $state) {
    $this->state = $state;
  }

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    if ($mode = personal_digest_user_settings_form_mode()) {
      foreach ($collection->all() as $id => $route) {
        if ($route->getDefault('_entity_form') == 'user.'.$mode) {
          $this->state->set('personal_digest_personal_settings_form_mode', $id);
          return;
        }
      }
    }
    $this->state->delete('personal_digest_personal_settings_form_mode');
  }

}
